> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Request welcome message

> Requests a welcome message from the system. The response contains the predicted agent the customer will chat with once the chat starts. This method requires the customer to be logged in.

The welcome message event is sent asynchronously via the `incoming_welcome_message` push.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/request_welcome_message
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/request_welcome_message:
    post:
      tags:
        - Other
      summary: Request welcome message
      description: >-
        Requests a welcome message from the system. The response contains the
        predicted agent the customer will chat with once the chat starts. This
        method requires the customer to be logged in.


        The welcome message event is sent asynchronously via the
        `incoming_welcome_message` push.
      operationId: request-welcome-message
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestWelcomeMessageRequest'
            example: {}
      responses:
        '200':
          description: Welcome message requested.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestWelcomeMessageResponse'
              example:
                id: 540eb790-17c1-47f9-9e2c-dca5a0960ab5
                predicted_agent:
                  id: b5657aff34dd32e198160d54666df9d8
                  name: Agent Smith
                  avatar: https://example.avatar/example.com
                  is_bot: false
                  job_title: support hero
                  type: agent
                queue: false
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    RequestWelcomeMessageRequest:
      type: object
      properties:
        id:
          type: string
          description: The welcome message ID.
        group_id:
          type: integer
          description: The ID of the group.
    RequestWelcomeMessageResponse:
      type: object
      properties:
        id:
          type: string
          description: The welcome message ID.
        predicted_agent:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            avatar:
              type: string
            is_bot:
              type: boolean
            bot_type:
              type: string
              description: Returned only for bots.
            job_title:
              type: string
            type:
              type: string
        queue:
          type: boolean
          description: If `true`, the chat will be queued.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````